%define major 1
%define pilot_link_version 0.11.5

Summary:	GNOME Pilot programs
Name:		gnome-pilot
Version: 	0.1.71
Release:	2mdk
License:	GPL/LGPL
Group:		Graphical desktop/GNOME
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
Source1:	gnome-pilot.m4.bz2
Source2:	gnome-pilot-ccenter.directory.bz2
# (fc) 0.1.65-1mdk disable applet (need to be ported to GNOME2)
Patch0:     gnome-pilot-0.1.70-disableapplet.patch.bz2
# (fc) 0.1.65-3mdk don't check for USB tty device 
Patch2:		gnome-pilot-0.1.70-usb.patch.bz2
URL:		http://www.gnome.org/projects/gnome-pilot/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	bison
BuildRequires:	bonobo-devel
BuildRequires:	GConf-devel
BuildRequires:	gob
BuildRequires:	libcapplet-devel
BuildRequires:	libglade-devel
BuildRequires:	libgnome-vfs-devel
BuildRequires:	libpcap-devel
BuildRequires:	net-tools
BuildRequires:	openssl-devel
BuildRequires:	pilot-link-devel >= %{pilot_link_version}
BuildRequires:	popt-devel
BuildRequires:  gnome-common >= 1.2.4-5mdk

%description
GNOME pilot is a collection of programs and daemon for integrating
GNOME and the PalmPilot (tm).

%package -n lib%{name}%{major}

Summary:	GNOME pilot libraries
Group:		System/Libraries

%description -n lib%{name}%{major}
GNOME-Pilot libraries 

%package -n lib%{name}%{major}-devel

Summary:	GNOME pilot libraries, includes, etc
Group:		Development/GNOME and GTK+
Requires: 	%{name} = %{version}
Requires:	lib%{name}%{major} = %{version}

Requires:	pilot-link-devel >= %{pilot_link_version}
Requires:	ORBit-devel      >= 0.5.3

Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}

%description -n lib%{name}%{major}-devel
gpilotd libraries and includes.



%prep
%setup -q
%patch0 -p1 -b .disableapplet
%patch2 -p1 -b .usb

#needed by patches 0
automake
autoconf

%build

%configure2_5x--enable-usb --enable-vfs --enable-network

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std transform=""

mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center/capplets/Peripherals
cp $RPM_BUILD_ROOT%{_datadir}/control-center/Peripherals/*.desktop $RPM_BUILD_ROOT%{_datadir}/control-center/capplets/Peripherals
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_datadir}/control-center/capplets/Peripherals/.directory

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs="gnome" section="Configuration/GNOME" command="gpilotd-control-applet" title="Pilot" icon="%{_datadir}/pixmaps/gnome-palm.png" 
EOF

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post  
%{update_menus}

%post -n lib%{name}%{major} -p /sbin/ldconfig

%postun 
%{clean_menus}

%postun -n lib%{name}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%dir %{_libdir}/gnome-pilot
%dir %{_libdir}/gnome-pilot/conduits
%{_libdir}/gnome-pilot/conduits/*.so*
%config(noreplace) %{_sysconfdir}/CORBA/servers/*
%{_datadir}/control-center/*
%{_datadir}/gnome/*/*/*
%{_datadir}/gnome-pilot
%{_datadir}/idl/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/*

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/*.so.*


%files -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*so
%{_libdir}/*a
%{_libdir}/*sh
%{_libdir}/gnome-pilot/conduits/*a

%changelog
* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.71-2mdk
- Recompiled against latest openssl

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.71-1mdk
- Release 0.1.71

* Tue Dec  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.70-1mdk
- Release 0.1.70
- Regenerate patches 0 & 2
- Only add one menu entry now

* Thu Nov 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.69-1mdk
- Release 0.1.69

* Tue Oct 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.67-1mdk
- Release 0.1.67
- Regenerate patch2
- Remove patch 1 (merged upstream)
- Recompiled against pilot-link 0.11.5

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-6mdk
- Recompiled against pilot-link 0.11.3

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-5mdk
- Fix menu entry

* Fri Jul 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-4mdk
- Update patch3 to correctly detect USB devices when pressing Hotsync button

* Thu Jul 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-3mdk
- Patch3: fix USB support for devfs systems
- Regenerate patch1 for pilot-link 0.11.0
- Recompiled against pilot-link 0.11.0

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-2mdk
- Patch1: support for pilot-link 0.10.99

* Fri May  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.65-1mdk
- Release 0.1.65
- Patch0: disable applet generation (don't work with GNOME 2)

* Thu Jan  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.64-3mdk
- Fix shortcuts for gnome control center
- Recompiled against latest libcapplet

* Fri Dec 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.64-2mdk
- fix BuildRequires

* Tue Dec  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.64-1mdk
- Release 0.1.64

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.63-1mdk
- Release 0.1.63
- Remove patch 0 & 1 (merged upstream)
- Libification

* Sun Oct 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.61-6mdk
- BuildRequires: libxml-devel

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.61-5mdk
- BuildRequires: GConf-devel popt-devel
- Remove redundant BuildRequires

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-4mdk
- Patch1: fix compilation with latest gnome-vfs
- Update patch0 with new fixes 

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-3mdk
- Disable oaf : it seems to break some conduits

* Tue Sep  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-2mdk
- Patch0: various fixes from CVS

* Thu Aug  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.61-1mdk
- Release 0.1.61
- Remove patch0 (merged upstream)

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-3mdk
- Fix menu entries

* Tue Jul 03 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1.59-2mdk
- BuildRequires:	db1-devel
- Remove BuildRequires:	audiofile-devel
- Remove BuildRequires:	esound-devel
- Remove BuildRequires:	gnome-libs-devel
- Remove BuildRequires:	imlib-devel
- Remove BuildRequires:	libxml-devel
- Remove BuildRequires:	ORBit-devel
- Remove BuildRequires:	XFree86-devel
- Remove BuildRequires:	zlib-devel

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.59-1mdk
- Release 0.1.59

* Sat May 26 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.58-0.pre2.2mdk
- Fix po install oddity (Stefan).
- s/Copyright/License/;

* Tue May 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.58-0.pre2.1mdk
- Version 0.1.58-pre2

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.5mdk
- Enable SyncAbs back

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.4mdk
- Recompiled with latest gob 
- Remove conflicts with libxml2

* Mon Mar 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.3mdk
- Disable compilation of SyncAbs conduit. Doesn't work with latest pilot-link
- Force regeneration of gob files

* Wed Jan  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.2mdk
- Correct BuildRequires

* Fri Oct 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.55-0.1.1mdk
- Release 0.1.55-pre

* Mon Oct 02 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.54-4mdk
- Fix menu entry

* Fri Sep 22 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-3mdk
- Add missing files
- Add menuentry

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-2mdk
- Add oaf files
- Use find_lang macro

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.54-1mdk
- Release 0.1.54

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.1.53-3mdk
- automatically added BuildRequires

* Mon Jul 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-2mdk
- rebuild to remove dependency on alsa

* Tue Jul 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.53-1mdk
- Release 0.1.53

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.52-3mdk
- add shell script to devel
- clean spec

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.52-2mdk
- BM + macrozification.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 0.1.52-1mdk
- updated from helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.50-4mdk
- Add BuildRequires: gob pilot-link-devel
- libtoolizification.

* Fri Apr 28 2000 dam's <damien@mandrakesoft.com> 0.1.50-3mdk
- added update-menus.

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-2mdk
- Oups forgot to include some devel librairies!

* Sun Apr 16 2000 Daouda Lo <daouda@mandrakesoft.com> 0.1.50-1mdk
- first mandrake build. 
- Spec file from HelixCode Inc.
